<template>
    <section class="hero is-dark is-bold is-fullheight">
        <div class="hero-body">
            <div class="container has-text-centered">
                <h1 class='title'>
                    Awesome Excel library tester 👍
                </h1>
                <h2 class="subtitle">
                    hi, i'm a useless subtitle 👋
                </h2>
                <div class="file is-centered is-boxed is-success is-large">
                    <label class="file-label">
                        <input v-on:change="generate($event)"
                            class="file-input"
                            type="file"
                        >
                        <span class="file-cta">
                        <span class="file-label">
                            Import 🤓
                        </span>
                        </span>
                    </label>
                </div>
            </div>
        </div>
    </section>
</template>

<script lang="ts">
    import { Component, Prop, Vue } from 'vue-property-decorator';

    import { Generator as Generator1 } from '../ts/GeneratorJsXlsx';
    import { Generator as Generator2 } from '../ts/GeneratorExcelJs';

    @Component
    export default class Homepage extends Vue {
        private generate(e: any): void {
            const file: File | undefined = e.target.files[0];
            if (file) {
                // const generator1: Generator1 = new Generator1();
                // generator1.load(file);
                const generator2: Generator2 = new Generator2();
                generator2.load(file);
            }
        }
    }
</script>
